> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Client Contacts

> Get all contacts for a specific client.



## OpenAPI

````yaml /api/openapi-cutmake.json get /clients/{client_id}/contacts
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /clients/{client_id}/contacts:
    get:
      tags:
        - Master Data
      summary: Get Client Contacts
      description: Get all contacts for a specific client.
      operationId: get_client_contacts_clients__client_id__contacts_get
      parameters:
        - name: client_id
          in: path
          required: true
          schema:
            type: string
            title: Client Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ContactInfoResponse'
                title: Response Get Client Contacts Clients  Client Id  Contacts Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    ContactInfoResponse:
      properties:
        id:
          type: string
          title: Id
        clientId:
          type: string
          title: Clientid
        clientName:
          type: string
          title: Clientname
        companyName:
          type: string
          title: Companyname
        contact1:
          type: string
          title: Contact1
        contact2:
          anyOf:
            - type: string
            - type: 'null'
          title: Contact2
      type: object
      required:
        - id
        - clientId
        - clientName
        - companyName
        - contact1
      title: ContactInfoResponse
      description: Schema for contact info response - uses camelCase per API_STANDARDS
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /auth/login

````